#ifndef _CONNECT
#define _CONNECT
#define MAXCHAT 500
#include <qsocknot.h>
#include <netinet/in.h>
//#include <sys/types.h>

class Socke : public QObject 
{
   Q_OBJECT
public:
   Socke(char *server,QObject *parent=0,const char *name=0);
   Socke(QObject *parent=0,const char *name=0);
   int serverconnect();
   int clientconnect(char*);
   int sendmove(char*);
   int receivemove();
   int getsock();
   void instnot();
   void sendconn();
   QSocketNotifier *testnot,*readnot,*errnot;
   char inmove[MAXCHAT],outmove[MAXCHAT],conn_name[200];
public slots:
   void readdata(int);
   void sockerror();
   void close_socket();
   void canaccept();
signals:
   void endapp();
   void connected();
   void msg(int);
private:
   int socke,ws;
   struct sockaddr_in sa;
   int call_socket(const char*,int);
   int make_sock(int);
};
#endif
